/*
 * MPQCJob_binding.hpp
 *
 *  Created on: Feb 11, 2013
 *      Author: heber
 */

#ifndef MPQCJOB_BINDING_HPP_
#define MPQCJOB_BINDING_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

// force binding to libMolecuilderJobs
#include "Jobs/MPQCJob.hpp"

namespace __detail {
  /** This is a dummy function to enforce binding of the executable to the
   * jobs library.
   */
  void instantiateDummyMPQCJob()
  {
    const double begin[3] = { 0., 0., 0. };
    MPQCJob job(1, "test.in", begin, 1., 2);
  }
}

#endif /* MPQCJOB_BINDING_HPP_ */
